#!/usr/bin/lua

-- Global variables

g_exampleVariable = "Global Example Variable"  -- Only, if this is necessary

function showUsageInformation()
	print() 
	print("Majops Skeleton Script Lua is the base for making new scripts in Lua.")
	print("The user has to type here what the Lua script can perform and does.")
	print() 
	print("Way of usage:")
	print() 
	print("The user has to type here how he has to work with the Lua script and")
	print("how the command line arguments are used.")
	print()
	print("Example:") 
	print()
	print("lua MajopsSkeletonScriptLua.lua input1.txt input2.csv 10 output.csv")
	print()
	
	os.exit()
end 

-- From here till the main function, functions have to be programmed. 
-- An example function: showHelloWorld
function showHelloWorld(helloWorld)	
	print()
	print(helloWorld)
	print()
	print(g_exampleVariable)
	print()
end
        
-- The last function is always the main function, in which only other functions are called.
function main(args)
	if (#args >= 1)
	then
		if(args[1] == "-h" or args[1] == "--h" or args[1] == "-help" or args[1] == "--help")
		then
			showUsageInformation()
		end
	end
			
	helloToUser = "Hello World!"
	
	showHelloWorld(helloToUser) -- Example of a function.
end
                              
main(arg)
	
-- Additional information:
-- =======================
--
-- Remarks about the Majops Skeleton Script Lua itself.
-- Description how it works.
-- Description which improvements can be done to improve the Majops Skeleton Script Lua itself.
--

